io.undertow.websockets.core

## Class WebSocketFrameCorruptedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - io.undertow.websockets.core.WebSocketException
        - - io.undertow.websockets.core.WebSocketFrameCorruptedException

All Implemented Interfaces:
  Serializable

    public class WebSocketFrameCorruptedException
    extends WebSocketException

WebSocketException which will be thrown if a corrupted frame was detected

Author:
  Norman Maurer
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WebSocketFrameCorruptedException()`
`WebSocketFrameCorruptedException(String msg)`
`WebSocketFrameCorruptedException(String msg, Throwable cause)`
`WebSocketFrameCorruptedException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebSocketFrameCorruptedException

    public WebSocketFrameCorruptedException()

#### WebSocketFrameCorruptedException

    public WebSocketFrameCorruptedException(String msg,
                                            Throwable cause)

#### WebSocketFrameCorruptedException

    public WebSocketFrameCorruptedException(String msg)

#### WebSocketFrameCorruptedException

    public WebSocketFrameCorruptedException(Throwable cause)